import React from 'react'
import styles from './Pagination.module.css'

const Pagination = ({
  currentIndex,
  length,
  onBtnClick,
  onClickFirst,
  onClickLast
}) => {
  return (
    <div className={styles.pagination_wrapper}>
      <span onClick={onClickFirst} className={styles.cursor}>
        first
      </span>
      <div className={styles.numbering}>
        {new Array(length).fill(0).map((item, index) => {
          return (
            <span
              className={
                index == currentIndex
                  ? styles.active_number
                  : styles.muted_number
              }
              key={index}
              onClick={() => onBtnClick(index)}
            >
              {index + 1}
            </span>
          )
        })}
        {/* <span className={styles.active_number}>{currentIndex + 1}</span>/
        <span className={styles.muted_number}>{length}</span> */}
      </div>
      <span onClick={onClickLast} className={styles.cursor}>
        last
      </span>
    </div>
  )
}

export default Pagination
